Skip to main content
GET
/
auth
/
oauth
/
github
GitHub OAuth - Get Authorization URL
curl --request GET \
  --url https://api.app.shinzo.ai/auth/oauth/github \
  --header 'Authorization: Bearer <token>'

Documentation Index

Fetch the complete documentation index at: https://docs.shinzo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authentication

No authentication required.

Query Parameters

returnTo
string
URL to redirect after successful authentication.

Example Request

curl -X GET "https://api.app.shinzo.ai/auth/oauth/github?returnTo=https://app.shinzo.ai/dashboard"

Response

{
  "url": "https://github.com/login/oauth/authorize?client_id=...&redirect_uri=...&scope=..."
}
Redirect the user to the returned URL to initiate GitHub OAuth.

Status Codes

CodeDescription
200Authorization URL returned